---
title: Range.detach()
slug: Web/API/Range/detach
tags:
  - API
  - DOM
  - Method
  - Range
---
<p>{{ApiRef("DOM")}}</p>

<p>The <strong><code>Range.detach()</code></strong> method does nothing. It used to disable the {{domxref("Range")}} object and enable the browser to release associated resources. The method has been kept for compatibility.</p>

<h2 id="Syntax">Syntax</h2>

<pre class="syntaxbox">range.detach();
</pre>

<h2 id="Example">Example</h2>

<pre class="brush:js">var range = document.createRange();

range.selectNode(document.getElementsByTagName("div").item(0));
range.detach();
</pre>

<h2 id="Specifications">Specifications</h2>

<table class="standard-table">
 <tbody>
  <tr>
   <th scope="col">Specification</th>
   <th scope="col">Status</th>
   <th scope="col">Comment</th>
  </tr>
  <tr>
   <td>{{SpecName('DOM WHATWG', '#dom-range-detach', 'Range.detach()')}}</td>
   <td>{{Spec2('DOM WHATWG')}}</td>
   <td>No change.</td>
  </tr>
  <tr>
   <td>{{SpecName('DOM2 Traversal_Range', 'ranges.html#Level2-Range-method-detach', 'Range.detach()')}}</td>
   <td>{{Spec2('DOM2 Traversal_Range')}}</td>
   <td>Initial specification.</td>
  </tr>
 </tbody>
</table>

<h2 id="Browser_compatibility">Browser compatibility</h2>

<p>{{Compat("api.Range.detach")}}</p>

<h2 id="See_also">See also</h2>

<ul>
 <li><a href="/en-US/docs/Web/API/Document_Object_Model">The DOM interfaces index</a></li>
</ul>
